Package org.apache.sling.api.resource

# Class LoginException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.sling.api.resource.LoginException

All Implemented Interfaces:
  `Serializable`

public class LoginException extends Exception
Exception thrown by ``ResourceResolverFactory.getAdministrativeResourceResolver(java.util.Map)`` , ``ResourceResolverFactory.getResourceResolver(java.util.Map)`` , and ``ResourceResolver.clone(java.util.Map)`` if a resource resolver cannot be created because the credential data is not valid.

Since:
  2.1 (Sling API Bundle 2.1.0)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LoginException()`
Constructs a new instance of this class with `null` as its detail message.
`LoginException(String message)`
Constructs a new instance of this class with the specified detail message.
`LoginException(String message, Throwable rootCause)`
Constructs a new instance of this class with the specified detail message and root cause.
`LoginException(Throwable rootCause)`
Constructs a new instance of this class with the specified root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LoginException

public LoginException()
Constructs a new instance of this class with `null` as its detail message.

### LoginException

public LoginException(String message)
Constructs a new instance of this class with the specified detail message.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### LoginException

public LoginException(String message, Throwable rootCause)
Constructs a new instance of this class with the specified detail message and root cause.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
  `rootCause` - root failure cause

### LoginException

public LoginException(Throwable rootCause)
Constructs a new instance of this class with the specified root cause.

Parameters:
  `rootCause` - root failure cause